#version 330 core

uniform sampler2D particle;
uniform vec2 uvOffset;
uniform vec2 uvSize;

layout (location = 0) out vec4 frag_color;

void main()
{
	vec2 uv = uvOffset + vec2(gl_PointCoord.x, 1.0 - gl_PointCoord.y)*uvSize;
	vec4 color = texture(particle, uv).xxxx * 4.0;
	//color *= color.a;
	frag_color = color;
}
